## org.eclipse.m2m.qvt.oml.debug.core.vm.protocol
Class VMResponse

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.VMResponse

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  VMBreakpointResponse, VMConnectResponse, VMDetailResponse, VMStackFrameResponse, VMVariableResponse

    public class VMResponse

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`int` `status`
`static int` `STATUS_ERROR`
`static int` `STATUS_OK`

Constructor Summary
`protected` `VMResponse()`
`protected` `VMResponse(int status)`

Method Summary
`static VMResponse` `createERROR()`
`static VMResponse` `createOK()`
`boolean` `isOK()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STATUS_OK

    public static final int STATUS_OK

See Also:
  Constant Field Values

### STATUS_ERROR

    public static final int STATUS_ERROR

See Also:
  Constant Field Values

### status

    public final int status

Constructor Detail

### VMResponse

    protected VMResponse()

### VMResponse

    protected VMResponse(int status)

Method Detail

### isOK

    public boolean isOK()

### createOK

    public static VMResponse createOK()

### createERROR

    public static VMResponse createERROR()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.